App\Entity\Activity:
    exclusion_policy: All
    custom_accessor_order: [id, name, comment, visible, project, fixedRate, hourlyRate, color, budget, timeBudget, metaFields, parentTitle]
    properties:
        id:
            include: true
            groups: [Default]
        name:
            include: true
            groups: [Default]
        comment:
            include: true
            groups: [Entity]
        visible:
            include: true
            groups: [Default]
        budget:
            include: true
            groups: [Entity]
        timeBudget:
            include: true
            groups: [Entity]
        fixedRate:
            include: true
            groups: [Activity]
        hourlyRate:
            include: true
            groups: [Activity]
        project:
            include: false
            exclude: true
            groups: [Default]
        color:
            include: true
        metaFields:
            exclude: true
    virtual_properties:
        parentTitle:
            serialized_name: parentTitle
            include: true
            exp: "object.getProject() === null ? null : object.getProject().getName()"
            groups: [Default]
        getProject:
            serialized_name: project
            exp: "object.getProject() === null ? null : object.getProject().getId()"
            type: integer
            groups: [Default]
        getMetaFields:
            serialized_name: metaFields
            exp: "object.getVisibleMetaFields()"
            type: array<App\Entity\ActivityMeta>
            groups: [Default]
